Bug 198050 - konqueror crashes with latest qt update
konqueror crashes with latest qt update
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: qt (Show other bugs)
5
All Linux
medium Severity urgent
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-08 11:41 EDT by Avi Kivity
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-10 08:11:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Avi Kivity 2006-07-08 11:41:07 EDT
Description of problem:

after applying the latest qt update konqueuror crashes, for example when loading
http://cnn.com.


Version-Release number of selected component (if applicable):
qt-3.3.6-0.3.fc5

qt-3.3.6-0.1.fc5 works fine

How reproducible:
always

Steps to Reproduce:
1. konqueror http://cnn.com
  
Actual results:
crash

Expected results:
no crash

Additional info:

1960    bool QObject::disconnect( const QObject *sender,   const char *signal, 
1961                              const QObject *receiver, const char *member )
1962    {
1963    #if defined(QT_CHECK_NULL)
1964        if ( sender == 0 || (receiver == 0 && member != 0) ) {
1965            qWarning( "QObject::disconnect: Unexpected null parameter" );
1966            return FALSE;
1967        }
1968    #endif
1969 >>     if ( !sender->connections )                 // no connected signals
1970            return FALSE;
1971        QObject *s = (QObject *)sender;
1972        QObject *r = (QObject *)receiver;
1973        int member_index = -1;
1974        int membcode = -1;
1975        QCString nw_member;       

The bug appears to have been introduced by a change to the .spec:

+%if ! %{debug}
+  disable_warning="-DQT_NO_CHECK"
+%endif

which replaces a warning and a "return FALSE" with a crash.
Comment 1 Ngo Than 2006-07-10 08:11:54 EDT
yes, the change causes the crash in some KDE applications. I will build new
qt into FC5-update soom. Many thank for your report.

Note You need to log in before you can comment on or make changes to this bug.